# SOC Roman Tools

This repository contains tools developed by the Space Telescope Science Institute (STScI) to support the Nancy Gracy 
Roman Space Telescope Wide Field Instrument (WFI) imaging mode. STScI is the Science Operations Center (SOC) for the 
Roman project.

## Installation & Requirements

The `soc_roman_tools` package requires an environment with Python 3.8+. (Note: if you are using the tutorial notebooks, 
you can currently only use Python 3.8 or 3.9.) 

To install the latest `soc_roman_tools` release, type:

```
pip install soc_roman_tools
```

To install the latest development version from the repository, type:
```
pip install git+https://github.com/spacetelescope/soc_roman_tools
```

If you are only using the modules in the `soc_roman_tools` package, then your installation is complete. 
If you plan to run any of the tutorial notebooks included in this repository, continue reading the [Tutorial Notebooks README](https://github.com/spacetelescope/soc_roman_tools/tree/main/notebooks/) for additional 
installation instructions...

## Help

For assistance with the contents of this repository, please contact the Roman SOC Help Desk
via e-mail to [help@stsci.edu](mailto:help@stsci.edu?subject=soc_roman_tools%20Question) with "soc_roman_tools 
Question" in the subject line.